List share links
curl --request GET \
--url https://api.craftkit.dev/v1/renders/{id}/shares \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.craftkit.dev/v1/renders/{id}/shares"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.craftkit.dev/v1/renders/{id}/shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shares": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shareToken": "<string>",
"shareUrl": "<string>",
"channel": "link",
"createdAt": "2023-11-07T05:31:56Z",
"recipientEmail": "jsmith@example.com",
"message": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "unauthorized",
"message": "Missing Bearer token."
}
}{
"error": {
"code": "not_found",
"message": "Render not found."
}
}Renders
List share links
List all share links for a render (revoked shares included).
GET
/
v1
/
renders
/
{id}
/
shares
List share links
Authorizations
Project API key (ck_live_… or ck_test_…) presented as a bearer token.
For embed partner endpoints this is the partner secret key, which is the
same credential type.
Path Parameters
The render id.
Response
Shares for the render.
Show child attributes
Show child attributes
⌘I